Bug 5689 - NFS export to Solaris 7 fails
NFS export to Solaris 7 fails
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: nfs-utils (Show other bugs)
7.0
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Michael K. Johnson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-10-07 14:21 EDT by hughett
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-01-24 13:38:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description hughett 1999-10-07 14:21:41 EDT
We have been using NFS to export files from a Linux box to
Solaris for at least a year now and have not had any
problems until we installed RH 6.0.  Under the new version
an attempt by the Sun to mount a Linux-exported directory
fails and the following messages appear in the
/var/log/messages file on the Linux system:

Oct  6 18:00:18 mumble mountd[1386]: authenticated mount
request from foobar:962
Oct  6 18:00:18 mumble mountd[1386]: getfh failed: Operation
not permitted

This is not a failure to include the kernel nfs server
(Bugzilla #3102), since it happens even after I recompiled
the kernel (2.2.5-22) with the knfsd code enabled.  This
also does not appear to be the problem that knfsd advertises
NFS version 3 but fails to deliver it (Bugzilla #2554),
since it occurs even when I include "vers=2" in the Sun's
/etc/vfstab file.  (Although a cursory look at the mountd
source code suggests that getfh is part of the version 3
implementation.)  I decided not to try the new improved
knfsd from Raw Hide.

WORKAROUND:  I have been able to work around this problem
by downloading nfs-server-2.2beta44-1.src.rpm from the
RedHat 5.2 errata, compiling, and installing.  There were
a few extra steps needed to make the install work:  I
created an empty directory /var/state/nfs and empty file
/var/lib/nfs/xtab by hand; moved exportfs and nfs.init to
their target directories by hand; and added the appropriate
links to rc?.d to start and stop automatically when the
run level changes. Don't forget to recompile the kernel
without knfsd and to remove the knfsd package. The old
NFS daemon appears to work just fine, although I haven't
really given it a hard workout yet.
Comment 1 hughett 1999-10-07 14:52:59 EDT
If you decide to use this workaround, be sure to download the latest
version of nfs-server from the RedHat errata site.  The version on the
5.2 CDROM has some known security holes.
Comment 2 thoth 2000-03-06 19:07:59 EST
I experience this bug fairly frequently.

I think the way to "fix" it is to stop NFS, edit /var/lib/nfs/xtab, restart NFS
and pray that the "port in use" bug doesn't bite you.  If the second bug DOES
bite, reboot.

It appears that linux NFS is stateful which is absolutely abominable.
Comment 3 thoth 2000-03-06 21:06:59 EST
It appears that the machine which is failing to mount should be turned off while
you

 turn off NFS,

 edit the server's xtab and rmtab to remove references to the powered-off
client,

 then reactivate NFS.
Comment 4 Cristian Gafton 2000-08-08 22:34:41 EDT
assigned to johnsonm
Comment 5 Stephen John Smoogen 2003-01-24 13:38:22 EST
I am closing 5689 because I am unable to duplicate it on our cross mounts
between Solaris 7 and Linux 7.3 machines. I am feeling that this was 'closed'
during the change from 2.2->2.4 kernels or the various nfs changes from
2.4.7->2.4.19.

Note You need to log in before you can comment on or make changes to this bug.